Bug 150189 - [run] [usb8] [patch] if_run appears to corrupt IP traffic
Summary: [run] [usb8] [patch] if_run appears to corrupt IP traffic
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 8.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-01 15:20 UTC by Derrick Brashear
Modified: 2018-01-03 05:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Derrick Brashear 2010-09-01 15:20:01 UTC
Adding a run interface to the machine in hostap mode. In all of WEP, WPA and no crypt, clients can associate. In WEP or WPA mode, a circumstance like usb/132722 arises: no lease can be had, and traffic on the run looks the same in tcpdump, unknown SSAP, unknown DSAP...

In no crypt mode, a lease can be obtained, but performance is poor; it appears some frames are being transmitted back to the client corrupted.

I can provide IEEE802_11_RADIO or regular tcpdumps, if that would help, but they're pretty mundane, so before I did I figured I'd ask what you actually want to see rather than just dropping a large blob at you.
Comment 1 Derrick Brashear 2010-09-01 17:38:41 UTC
I suppose you might want to know:

run0: <1.0> on usbus2
run0: MAC/BBP RT2872 (rev 0x0202), RF RT2850 (MIMO 2T2R), address
00:0e:8e:24:9b:48
run0: firmware RT2870 loaded

And e.g.:
00:46:06.498940 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
ff:ff:ff:ff:ff:ff IPX Information, send seq 27, rcv seq 0, Flags
[Response], length 344
00:46:06.498994 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
ff:ff:ff:ff:ff:ff IPX Information, send seq 27, rcv seq 0, Flags
[Response], length 344
00:46:09.715426 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
01:00:5e:00:00:fb Unknown DSAP 0xe2 Information, send seq 27, rcv seq
0, Flags [Response], length 611
00:46:09.715481 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
01:00:5e:00:00:fb Unknown DSAP 0xe2 Information, send seq 27, rcv seq
0, Flags [Response], length 611
00:46:09.716380 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
33:33:00:00:00:fb Unknown DSAP 0xe2 Information, send seq 27, rcv seq
0, Flags [Response], length 631
00:46:09.716416 c4:2c:03:d5:91:a1 Unknown SSAP 0x72 >
33:33:00:00:00:fb Unknown DSAP 0xe2 Information, send seq 27, rcv seq
0, Flags [Response], length 631
Comment 2 PseudoCylon 2010-09-03 01:32:32 UTC
Hi,

Can you try these and see if encryption works?
http://p4web.freebsd.org/@rev1=head@//depot/projects/usb/src/sys/dev/usb/wlan/if_run.c

http://p4web.freebsd.org/@rev1=head@//depot/projects/usb/src/sys/dev/usb/wlan/if_runvar.h

(no change in if_runreg.h)

Can you check Tx rate on AP (if_run) during poor performance?
% ifconfig wlan0 list sta
Comment 3 PseudoCylon 2010-09-03 04:07:41 UTC
Oops, please use this if_run.c instead. Previous one won't compile on 
8.1-RELEASE

http://p4web.freebsd.org/@md=d&cd=//&cdf=//depot/projects/usb/src/sys/dev/usb/wlan/if_run.c&sr=182194&c=jE5@//depot/projects/usb/src/sys/dev/usb/wlan/if_run.c
Comment 4 PseudoCylon 2011-01-26 00:49:46 UTC
----- Original Message ----
> From: Derrick Brashear <shadow@gmail.com>
> To: PseudoCylon <moonlightakkiy@yahoo.ca>
> Sent: Wed, September 8, 2010 4:35:52 PM
> Subject: Re: usb/150189: if_run appears to corrupt IP traffic
> 
> WEP still fails. I will have to reboot to try without WEP.
> 
> zcat  /boot/kernel/kernel.gz | strings | grep if_run
> $FreeBSD:  src/sys/dev/usb/wlan/if_run.c,v 1.13 2010/07/11 23:54:44 thompsa Exp  
>$
> 
> 
Please try this. WEP should work as well.
http://gitorious.org/run/run/trees/P4_wep_fix/dev/usb/wlan


AK
Comment 5 Derrick Brashear 2011-01-26 01:09:10 UTC
I'll build tonight. thanks

Derrick
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-02-28 04:20:34 UTC
State Changed
From-To: open->feedback

Note that feedback was requested.
Comment 7 Mark Linimon 2011-02-28 09:28:38 UTC
----- Forwarded message from Derrick Brashear <shadow@gmail.com> -----

Date: Mon, 28 Feb 2011 03:30:06 -0500
From: Derrick Brashear <shadow@gmail.com>
To: linimon@freebsd.org
Cc: freebsd-usb@freebsd.org
Subject: Re: usb/150189: [run] [usb8] [patch] if_run appears to corrupt IP traffic

The WEP issue has been resolved; The random disconnects have as yet not.

-- 
Derrick


----- End forwarded message -----
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2011-03-01 06:30:21 UTC
State Changed
From-To: feedback->open

One of the two problems has been resolved, but not the other.
Comment 9 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:28 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped